import QtQuick 1.1
import qb.components 1.0


Tile {
	id: wastecollectionTile

	property bool dimState: screenStateController.dimmedColors

	Image {
		id: wasteIconzzBig
		source: app.wasteIcon
		anchors {
			baseline: parent.top
			baselineOffset: 10
			horizontalCenter: parent.horizontalCenter
		}
		cache: false
       	visible: dimState ? app.wasteIconShow : false		// only show if one icon
	}	

	Image {
		id: wasteIconzzSmall1
		height: 100
		width: 100
		source: app.wasteIcon
		anchors {
			baseline: parent.top
			baselineOffset: 10
			left: parent.left
			leftMargin: 10
		}
		cache: false
       	visible: dimState ? app.wasteIcon2Show : false		// only show if two icons
	}

	Image {
		id: wasteIconzzSmall2
		height: 100
		width: 100
		source: app.wasteIcon2
		anchors {
			baseline: parent.top
			baselineOffset: 10
			right: parent.right
			rightMargin: 10
		}
		cache: false
       	visible: dimState ? app.wasteIcon2Show : false		// only show if two icons

	}

	Text {
		id: tiletitle
		text: "Afvalkalender"
		anchors {
			baseline: parent.top
			baselineOffset: 24
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.bold.name
			pixelSize: 20
		}
		color: colors.waTileTextColor
       	visible: !dimState
	}

	Text {
		id: wastedatenext
		text: app.wasteDateNext
		anchors {
			baseline: parent.top
			baselineOffset: 50
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.bold.name
			pixelSize: 18
		}
		color: colors.waTileTextColor
       	visible: !dimState
	}

	Text {
		id: wastedatenexttype
		text: app.wasteDateNextType
		anchors {
			baseline: wastedatenext.bottom
			baselineOffset: 10
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
        	visible: !dimState
	}

	Text {
		id: wastedatenext2
		text: app.wasteDateNext2
		anchors {
			baseline: wastedatenexttype.bottom
			baselineOffset: 20
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.bold.name
			pixelSize: 18
		}
		color: colors.waTileTextColor
       	visible: !dimState
	}

	Text {
		id: wastedatenext2type
		text: app.wasteDateNext2Type
		anchors {
			baseline: wastedatenext2.bottom
			baselineOffset: 10
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
        	visible: !dimState
	}

	Text {
		id: wastedatenext3
		text: app.wasteDateNext3
		anchors {
			baseline: wastedatenext2type.bottom
			baselineOffset: 20
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.bold.name
			pixelSize: 18
		}
		color: colors.waTileTextColor
       	visible: !dimState
	}

	Text {
		id: wastedatenext3type
		text: app.wasteDateNext3Type
		anchors {
			baseline: wastedatenext3.bottom
			baselineOffset: 10
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 15
		}
		color: colors.clockTileColor
        	visible: !dimState
	}
}
